VayuDocumentationIntegrationsAPI ReferenceChange Log
SupportGet started now
API EndpointsEvents

Submit a batch of events for ingestion

Use this endpoint to send an array of events for processing and storage. Make sure to comply with the request schema for each event.

POST
/events

Authorization

BearerAuthorizer
AuthorizationBearer <token>

In: header

Request Body

application/json

An array of events following the EventInput schema. This request body should be included in the PUT request to '/events' Up to 1000 events or a total payload max size of 256KB

TypeScript Definitions

Use the request body type in TypeScript.

events*array<>

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/events" \  -H "Content-Type: application/json" \  -d '{    "events": [      {        "name": "api_call",        "timestamp": "2023-09-13T18:25:43.511Z",        "customerAlias": "customer_12345",        "ref": "4f6cf35x-2c4y-483z-a0a9-158621f77a21"      }    ]  }'
{  "validEvents": [    {      "name": "api_call",      "timestamp": "2023-09-13T18:25:43.511Z",      "customerAlias": "customer_12345",      "ref": "4f6cf35x-2c4y-483z-a0a9-158621f77a21",      "data": {        "key1": "processing_duration",        "key2": "api_url"      }    }  ],  "invalidEvents": [    {      "event": {        "name": "api_call",        "timestamp": "2023-09-13T18:25:43.511Z",        "customerAlias": "customer_12345",        "ref": "4f6cf35x-2c4y-483z-a0a9-158621f77a21",        "data": {          "key1": "processing_duration",          "key2": "api_url"        }      },      "error": "Event ref already exists."    }  ]}
{  "type": "invalid_request_error",  "code": "string",  "message": "string",  "param": "string",  "params": [    {      "param": "string",      "message": "string"    }  ]}
{  "type": "authentication_error",  "code": "authentication_failed",  "message": "string"}
{  "type": "invalid_request_error",  "code": "request_too_large",  "message": "string"}
{  "type": "rate_limit_error",  "code": "rate_limit_exceeded",  "message": "string"}
{  "type": "api_error",  "code": "internal_error",  "message": "string"}